﻿<section class="newsletter" id="newsletter">
    <h3 class="newsletter__title">Suscribite a nuestro newsletter</h3>

    <form class="newsletter-input">
        <input type="email" id="NewsletterEmail" name="email" value="" placeholder="Ingresá tu mail" class="newsletter__input" />
        <i class="fas fa-chevron-right" aria-hidden="true" style="cursor:pointer; font-size: 14px;" onclick="RegisterNewsletter()"></i>
    </form>
    
    <ul class="newsletter__links">
        <li>
            <a href="https://www.instagram.com/gacsyar/" class="newsletter__link-item" target="_blank">
                <img src="~/Content/Icons/ig.png" alt="Instagram" />
                <span>@@GACSYAR</span>
            </a>
        </li>
        <li>
            <a href="https://www.facebook.com/gacsy" class="newsletter__link-item" target="_blank">
                <img src="~/Content/Icons/fb.png" alt="Facebook" />
                <span>GACSY</span>
            </a>
        </li>
        <li>
            <a href="https://api.whatsapp.com/send?phone=5491165520526&text=Hola%20Gacsy,%20tengo%20una%20consulta." class="newsletter__link-item" target="_blank">
                <img src="~/Content/Icons/wsp.png" alt="WhatsApp" />
                <span>GACSY</span>
            </a>
        </li>
        <li>
            <a href="/Locales" class="newsletter__link-item">
                <img src="~/Content/Icons/map.png" alt="Ubicación" />
                <span>ARGERICH 526</span>
            </a>
        </li>
    </ul>
</section>

<script language="javascript" type="text/javascript">

    function RegisterNewsletter()
    {
        var email = $("#NewsletterEmail").val();

        if (isValid(email))
        {
            $.ajax({
                type: "POST",
                cache: false,
                url: "/Institutional/RegisterNewsletter/?email=" + email,
                data: $(this).serializeArray(),
                success: function (data)
                {
                    toastr.success("Listo! Ya estás registrado :-).");
                    $("#NewsletterEmail").val('');
                }
            });
        }
    }

    function isValid(email)
    {
        if (email == "Ingrese su e-mail..." || email == "") {
            toastr.warning("Ingrese su Email.");
            return false;
        }

        if (!isValidEmailAddress(email))
        {
            toastr.warning("El Email ingresado es inválido.");
            return false;
        }
        return true;
    }

    function isValidEmailAddress(emailAddress) {
        var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
        return pattern.test(emailAddress);
    }


</script>
